Bug 877353 - qemu-bridge-helper broken
qemu-bridge-helper broken
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-16 05:37 EST by Paolo Bonzini
Modified: 2013-01-09 07:11 EST (History)
10 users (show)

See Also:
Fixed In Version: 1.2.0-22.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-26 23:46:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Paolo Bonzini 2012-11-16 05:37:59 EST
Description of problem:
There are three problems in the packaging of qemu-bridge-helper.
1) No ACL is installed, so it doesn't work out of the box.
2) The helper is not installed suid root
3) The path used by the QEMU executable includes an unexpanded ${libexec} variable.

Version-Release number of selected component (if applicable):
1.2.0-18.fc18

How reproducible:
100%

Steps to Reproduce:
1. Install libvirt, ensure virbr0 is up.
2. Start qemu-kvm test.img -m 512 -net bridge,br=virbr0 -net nic
  
Actual results:
QEMU fails to launch the helper. If the ",helper=/usr/libexec/qemu-bridge-helper" option is added after "br=virbr0", it fails to grab the TAP device.

Expected results:
QEMU starts, "brctl show" includes the tap0 NIC into virbr0.
Comment 1 Fedora Update System 2012-11-16 05:40:26 EST
qemu-1.2.0-22.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/qemu-1.2.0-22.fc18
Comment 2 Fedora Update System 2012-11-16 21:28:51 EST
Package qemu-1.2.0-22.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qemu-1.2.0-22.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-18368/qemu-1.2.0-22.fc18
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-11-20 11:09:38 EST
qemu-1.2.0-23.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/qemu-1.2.0-23.fc18
Comment 4 Fedora Update System 2012-11-26 23:46:24 EST
qemu-1.2.0-23.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.